{% extends "base.html" %} {% load static %} {% block title %}Connexion{%endblock%}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static '../static/css/login.css' %}"
/>
<div class="page-container">
    {% endblock %} {% block content %}


    {% if user.is_authenticated %}
    Vous êtes connecté en tant que <strong> {{ user.username }}!</strong>
        <a href="/accounts/logout" >Se déconnecter !</a>
    <!-- if user is not authenticated, we display the authentication form: -->   
    {% else %}

    <div class="login-form-container">
        <h3 id="form-titre">Se connecter</h3>
        <form method="post" class="login-form">
            {% csrf_token %}

            <label for="username">Nom d'utilisateur :</label>
            <input
            type="text"
            id="username"
            name="username"
            placeholder="Entrez votre nom d'utilisateur"
            required
            />
            <label for="password">Mot de passe :</label>
            <input
            type="password"
            id="password"
            name="password"
            placeholder="Entrez votre mot de passe"
            required
            />

            <button type="submit" value="Se connecter" id="bouton-form-valider">Se connecter</button>
        </form>
    </div>

    <div>
        <h4>Vous n'avez pas de compte ? cliquez ici : <span><a href="/accounts/register">Créer un compte</a></span></h4>
    </div>
</div>
{% endif %}
{% endblock %}
